Subject: Re: [linux-fbdev] Re: readl() and friends and eieio on PPC

From: Richard Henderson <[email-masked]>
Date: Wed, 11 Aug 1999 21:40:49 -0700

On Thu, Aug 12, 1999 at 10:17:34AM +1000, Paul Mackerras wrote:
> Sync and eieio are different in that for sync, the cpu actually stops
> and waits for all memory accesses to complete, whereas for eieio the
> cpu doesn't have to stop and wait for anything.  Do alpha's mb and wmb
> work the same way?

Yes.  (Except for EV4, in which wmb == mb, but we don't care about that.)

> My position is that if you can provide the ordering at essentially
> zero cost, then it is an advantage to have it since more drivers will
> work that way.

But it isn't zero cost.  It's not high cost, but that's not the same thing.

r~

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]